---
- name: install dependencies
  apt: 
    state: present 
    name: ['python-selinux']

- name: copy deb to server
  copy:
    src: "{{ graylog_collector_sidecar_local_package_path }}/{{ graylog_collector_idecar_local_package_name }}"
    dest: "/tmp/{{ graylog_collector_sidecar_local_package_name }}"
  when: sidecar_local_package is defined and graylog_collector_sidecar_version is undefined

- name: install specific sidecar from official github repo
  apt:
    deb: "{{ graylog_collector_sidecar_github_repo }}/releases/download/{{ graylog_collector_sidecar_version }}/graylog-sidecar_{{ graylog_collector_sidecar_version }}-1_{{ (ansible_architecture == 'x86_64') | ternary('amd64', ansible_architecture) }}.deb"
    state: present
  register: installed_specific
  when: graylog_collector_sidecar_version is defined and sidecar_local_package is undefined

- name: install local sidecar deb
  apt:
    name: /tmp/{{ graylog_collector_sidecar_local_package }}
    state: present
  register: installed_local
  when: sidecar_local_package is defined and graylog_collector_sidecar_version is undefined

- name: install specific filebeat from official website
  apt:
    deb: "https://artifacts.elastic.co/downloads/beats/filebeat/filebeat-{{ graylog_collector_filebeat_version }}-{{ (ansible_architecture == 'x86_64') | ternary('amd64', ansible_architecture) }}.deb"
    state: present

- name: "Activate the Sidecar as a system service"
  shell: graylog-sidecar -service install
  become: yes
  notify: restart collector_sidecar
  when: installed_specific.changed or installed_local.changed
  ignore_errors: true